+++
title = "„Enrichment-Kurs“ Webentwicklung mit dem Katharineum zu Lübeck"
authors = ["nik"]

[taxonomies]
tags = ["Ankündigung"]
zielgruppe = ["Lehrkräfte und Schulen"]
aspekt = ["Junge Menschen in FOSS-Projekten", "Außerschulische Lernangebote"]

[extra.depiction]
image = "dev-sprint-foto.jpg"
alt = "Mehrere Jugendliche und Erwachsene beim Software-Entwickeln in einem Computer-Raum"
credits = "© 2020 Martin Gummi, Teckids e.V., CC-BY-SA"
+++

Im Rahmen des so genannten ["Enrichment-Programms"](https://enrichment.schleswig-holstein.de/)
des Landes Schleswig-Holstein unterstützen wir das [Katharineum zu Lübeck](https://katharineum.de/)
bei einem Kursangebot zur Webentwicklung mit Django.

<!-- more -->

Seit dem Jahr 1999 organisiert das Land Schleswig-Holstein zentral das
"Enrichment-Programm", das Teil der schulischen Begabtenförderung ist.
Dabei werden an verschiedenen Lernorten Zusatzkurse angeboten, die
außerhalb der regulären Unterrichtszeit stattfinden. In den teilnehmenden
Schulen, die Kurse anbieten, kommen Schüler\*innen unterschiedlicher
Schulen zusammen und nehmen in Kleingruppen an den Kursen teil.

## Kursangebot: Entwicklung von Webanwendungen mittels Django

An seinem Gymnasium in Lübeck bietet [Frank Poetzsch-Heffter](https://katharineum.de/team/frank-poetzsch-heffter/)
einem 16-wöchigen Kurs eine Einführung in die Entwicklung von Webanwendungen an.
Dabei können Schüler\*innen der Klassenstufen 8 bis 13 zunächst grundlegende
Kenntnisse mit [Django](https://www.djangoproject.com/) erlernen und sich
mit diesen dann immer näher an die praktische Anwendung herantasten.

Die Teckids-Gemeinschaft unterstützt den Kurs mit drei Interventionen sowie
mit Praxiserfahrung. Die Interventionen, die zusätzlich zum Kurs auf freiwilliger
Basis stattfinden, bieten einen Einblick in die praktische Anwendung in
der Webentwicklung im Team und schließen mit der freiwilligen Teilnahme
an einem Entwicklungs-Sprint des [AlekSIS®-Projekts](https://aleksis.org/de/)
ab.

![Django-Logo](./django-logo-negative.png)

### Kursverlauf

#### 1. Phase: Django-Einführung

In der ersten Phase von ca. 4 Wochen lernen die Teilnehmenden das Django-Framework
kennen, indem sie mit Begleitung und Vertiefung die offiziellen Tutorials
ausprobieren und mit eigenen Ideen ergänzen.

In der Intervention mit dem Teckids e.V. schließt diese Phase mit einem
Workshop-Tag ab, bei dem es um das Hosting eines fertigen Django-Apps geht.
Hierbei wird grundlegendes Wissen über die Bedienung eines Linux-Servers,
die Installation eines Webservers und die Einbindung des Django-Apps
erlangt.

#### 2. Phase: Gemeinsames Projekt

Nachdem nun Beispiel-Apps in mehr oder weniger separater Entwicklung erprobt
wurden, ist der nächste Schritt die gemeinsame Entwicklung einer
Django-Anwendung. Während es in den ersten Wochen vor allem um Grundbegriffe
ging, liegt der Fokus jetzt auf der Planung und Umsetzung eines größeren
Projetkes im Team. Dabei spielt die Source-Code-Verwaltung [git](https://git-scm.com/)
eine wesentliche, technische Rolle.

#### 3. Phase: Frontendentwicklung mit Vue und APIs

Der zweite Workshop-Tag mit Teckids bietet den Einstieg in diese Phase. Wir schauen
uns gemeinsam an, was Frontend und Backend sind, welche Ideen hinter der Trennung
stecken und welche Technologien hierfür zur Wahl stehen.

In den folgenden sechs Wochen entwickeln die Teams nun eigene Apps mit Hilfe
von Django, Vue.js und einem API.

Abschließend haben die Schüler\*innen die Möglichkeit, am Frühjahrs-Sprint
des [AlekSIS-Projekts](https://aleksis.org/de/) teilzunehmen und dort den Einsatz
der erlernten Kompetenzen in der Praxis zu erleben.

## Das Katharineum, Teckids und AlekSIS

Das [Katharineum](https://katharineum.de/) ist eines der sieben Gymnasien in
Lübeck und gehört mit ca. 860 Schüler\*innen auch zu den größeren. Die Schule
setzt in ihrem Medien- und Technikkonzept umfassend auf verstehbare, freie und
offene Software und gestaltet das offene Schul-Informations-System
[AlekSIS](https://aleksis.org/de/), dessen Vorgängerprojekt in einer AG der
Schule entstanden war, maßgeblich mit.

Seit 2019 arbeiten das Katharineum und der Teckids e.V. in verschiedenen Projekten
zusammen. Ein besonderes Ziel dabei ist es, das (digitale) Engagement der
Schüler\*innen außerhalb der Schule wirksam und sichtbar zu machen.

"Mit der Kooperation im Enrichment-Programm erhalten die Teilnehmenden daher, neben
dem Erwerb der im Kurs vermittelten Kompetenzen, auch Perspektiven für einen
Einstieg in die Entwicklung von Open-Source-Software, die in ihrer realen Lebenswelt
eingesetzt wird. Wir möchten gern die Lücke zwischen schulischem Informatik-Unterricht
und freier Software-Entwicklung weiter schließen.", sagt der Kursleiter und
stellvertretende Schulleiter Poetzsch-Heffter.

## Anmeldung zum Kurs

Die Anmeldung ist leider nur für Schüler\*innen möglich, die von ihren Schulen
nominiert werden. Jugendliche, die am Angebot intressiert sind, sollten sich
an ihre (Informatik-)Lehrkräfte wenden.

Das Kursangebot ist offiziell [in der Liste der Angebote](https://enrichment.schleswig-holstein.de/content/archiv.php?schulj=2024/2025&wert1=4&anfang=1722463200) auf der Website des Enrichment-Programms
gelistet.

{% teckids_contact(title="Kooperationen anfragen", mail="verein@teckids.org") %}
Die Teckids-Gemeinschaft möchte die Beschäftigung mit Verstehbarkeit sowie
freier, offener Software in Schulen verbreiten. Bei Interesse an ähnlichen
Kooperationsangeboten freuen wir uns über Kontakt per E-Mail.
{% end %}
